"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var base_controller_1 = require("../base.controller");
var DialogControllerBase = /** @class */ (function (_super) {
    __extends(DialogControllerBase, _super);
    function DialogControllerBase(scope, modalInstance, injector) {
        var _this = _super.call(this, scope, injector) || this;
        _this.modalInstance = modalInstance;
        return _this;
    }
    DialogControllerBase.prototype.cancel = function () {
        this.modalInstance.close();
    };
    DialogControllerBase.prototype.close = function (result) {
        if (result === void 0) { result = null; }
        this.modalInstance.resolve(result);
    };
    return DialogControllerBase;
}(base_controller_1.ControllerBase));
exports.DialogControllerBase = DialogControllerBase;
