import { IRegistrable } from "./registrable";
export declare function Controller(parameters: IController): <T>(constructor: Function) => void;
export interface IController extends IRegistrable {
    stateName?: string;
    stateUrl?: string;
    viewUrl?: string;
    authenticate?: boolean;
    controller: Function;
    resolve?: Object;
}
export declare const controllerInfoKey = "$controllerInfo";
