/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, ITranscludeFunction, IController } from "angular";
export declare class CommentArea extends DirectiveBase {
    restrict: string;
    scope: {
        ngModel: string;
    };
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    private restrictEntry(event, options, element, cancel);
    private showCharacterLeft(options, element, cancel);
    private checkSize(options, element);
    static factory(): CommentArea;
}
export interface ICommentAreaParameters {
    defaultHeight?: number;
    maxSize?: number;
    showAlways?: boolean;
    maxSizeField?: string;
    maxSizeText?: string;
    resize?: boolean;
    restrictEntry?: boolean;
    negativeClass?: string;
}
