/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IInterpolateService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
import { StateService, Transition } from '@uirouter/angularjs';
export declare class MdUiSrefActive extends DirectiveBase {
    private interpolate;
    private state;
    private transitions;
    restrict: string;
    constructor(interpolate: IInterpolateService, state: StateService, transitions: Transition);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    protected dispose(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(interpolate: IInterpolateService, state: StateService, transitions: Transition): MdUiSrefActive;
}
