/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, IController, ITranscludeFunction } from "angular";
import { IKeyProcessorService } from "../services/key-processor.service.interface";
export declare class OnKeyboard extends DirectiveBase {
    private keyProcessor;
    restrict: string;
    constructor(keyProcessor: IKeyProcessorService);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(keyProcessor: IKeyProcessorService): OnKeyboard;
}
