"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var base_directive_1 = require("./base.directive");
var directive_1 = require("../decorators/directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var RemoveClass = /** @class */ (function (_super) {
    __extends(RemoveClass, _super);
    function RemoveClass() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.restrict = "A";
        return _this;
    }
    RemoveClass_1 = RemoveClass;
    RemoveClass.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var options = {};
        this.tryGet(options, instanceAttributes, "element");
        this.tryGet(options, instanceAttributes, "removeClass");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(options.element)) {
            var element = $(options.element);
            if (element.hasClass(options.removeClass)) {
                element.removeClass(options.removeClass);
            }
        }
    };
    RemoveClass.factory = function () {
        return new RemoveClass_1();
    };
    RemoveClass = RemoveClass_1 = __decorate([
        directive_1.Directive({
            name: "removeClass",
            factory: RemoveClass_1.factory
        })
    ], RemoveClass);
    return RemoveClass;
    var RemoveClass_1;
}(base_directive_1.DirectiveBase));
exports.RemoveClass = RemoveClass;
