/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, ITranscludeFunction, IController } from "angular";
export declare class ScrollToggleClass extends DirectiveBase {
    restrict: string;
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    private updateElement(element, instanceAttributes);
    protected dispose(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(): ScrollToggleClass;
}
export interface IScrollToggleClassParameters {
    forceAdd: boolean;
    forceRemove: boolean;
    minPos: number;
    maxPos: number;
    cssClass: string;
}
