import { ServiceBase } from "./base.service";
import { IExceptionService } from "./exception.service.interface";
import { IAlertService } from "./alert.service.interface";
import { ILoggingService } from "./logging.service.interface";
export declare class ExceptionService extends ServiceBase implements IExceptionService {
    private alertService;
    private logger;
    constructor(alertService: IAlertService, logger: ILoggingService);
    processException(exception: Error, cause: string): void;
    static factory(alertService: IAlertService, logger: ILoggingService): (exception: Error, cause: string) => void;
}
