"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var base_service_1 = require("./base.service");
var service_1 = require("../decorators/service");
var angular_service_1 = require("./angular.service");
var framework_service_1 = require("./framework.service");
var ExceptionService = /** @class */ (function (_super) {
    __extends(ExceptionService, _super);
    function ExceptionService(alertService, logger) {
        var _this = _super.call(this) || this;
        _this.alertService = alertService;
        _this.logger = logger;
        return _this;
    }
    ExceptionService_1 = ExceptionService;
    ExceptionService.prototype.processException = function (exception, cause) {
        this.alertService.addError(exception.message);
        this.logger.writeError("Error: " + exception + "\n\nCause:" + cause);
    };
    ExceptionService.factory = function (alertService, logger) {
        return function (exception, cause) { return new ExceptionService_1(alertService, logger).processException(exception, cause); };
    };
    ExceptionService = ExceptionService_1 = __decorate([
        service_1.Service({
            name: angular_service_1.AngularServices.exceptionHandler,
            factory: ExceptionService_1.factory,
            dependencies: [framework_service_1.FrameworkServices.alertService, framework_service_1.FrameworkServices.loggingService]
        })
    ], ExceptionService);
    return ExceptionService;
    var ExceptionService_1;
}(base_service_1.ServiceBase));
exports.ExceptionService = ExceptionService;
