/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { IParseService, IScope } from "angular";
import { ArrayList } from "@miracledevs/paradigm-ui-web-shared";
import { IKeyProcessorService, KeyAction } from "./key-processor.service.interface";
export declare class KeyProcessorService extends ServiceBase implements IKeyProcessorService {
    private parse;
    constructor(parse: IParseService);
    evaluateKeyActions(keyActions: ArrayList<KeyAction>, eventType: string, scope: IScope, e: JQueryKeyEventObject): void;
    parseActions(text: string): ArrayList<KeyAction>;
    static factory(parse: IParseService): IKeyProcessorService;
}
