/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { ArrayList } from "@miracledevs/paradigm-ui-web-shared";
import { IScope, ICompiledExpression } from "angular";
export interface IKeyProcessorService {
    evaluateKeyActions(keyActions: ArrayList<KeyAction>, eventType: string, scope: IScope, e: JQueryKeyEventObject): void;
    parseActions(text: string): ArrayList<KeyAction>;
}
export declare class KeyAction {
    eventType: string;
    keyCode: number;
    shift: boolean;
    ctrl: boolean;
    alt: boolean;
    action: ICompiledExpression;
}
