/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { IUrlService } from "./url.service.interface";
import { ISCEService } from "angular";
export declare class UrlService extends ServiceBase implements IUrlService {
    private sce;
    constructor(sce: ISCEService);
    getParsedUrl(url: string): string;
    static factory(sce: ISCEService): IUrlService;
}
