"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var service_1 = require("../decorators/service");
var framework_service_1 = require("./framework.service");
var angular_service_1 = require("./angular.service");
var base_service_1 = require("./base.service");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var UrlService = /** @class */ (function (_super) {
    __extends(UrlService, _super);
    function UrlService(sce) {
        var _this = _super.call(this) || this;
        _this.sce = sce;
        return _this;
    }
    UrlService_1 = UrlService;
    UrlService.prototype.getParsedUrl = function (url) {
        if (!paradigm_ui_web_shared_1.StringExtensions.isString(url))
            return url;
        if (paradigm_ui_web_shared_1.StringExtensions.isNullOrEmpty(url))
            return url;
        if (url.indexOf("http://") < 0 && url.indexOf("https://") < 0)
            url = "http://" + url;
        return this.sce.trustAsUrl(url);
    };
    UrlService.factory = function (sce) {
        return new UrlService_1(sce);
    };
    UrlService = UrlService_1 = __decorate([
        service_1.Service({
            name: framework_service_1.FrameworkServices.urlService,
            factory: UrlService_1.factory,
            dependencies: [angular_service_1.AngularServices.sce]
        })
    ], UrlService);
    return UrlService;
    var UrlService_1;
}(base_service_1.ServiceBase));
exports.UrlService = UrlService;
