"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var ObjectSession = /** @class */ (function () {
    function ObjectSession() {
    }
    ObjectSession.save = function (name, data) {
        paradigm_ui_web_shared_1.LocalStorage.set(name, JSON.stringify(data));
    };
    ObjectSession.restore = function (name) {
        var content = paradigm_ui_web_shared_1.LocalStorage.get(String, name);
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(content))
            return null;
        return JSON.parse(content.valueOf());
    };
    ObjectSession.clear = function (name) {
        paradigm_ui_web_shared_1.LocalStorage.remove(name);
    };
    return ObjectSession;
}());
exports.ObjectSession = ObjectSession;
