/// <reference types="angular" />
/// <reference types="angular-translate" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IFilterService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
export declare class DateTimePicker extends DirectiveBase {
    private filter;
    restrict: string;
    require: string;
    constructor(filter: IFilterService);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(filter: IFilterService): DateTimePicker;
}
