/// <reference types="angular" />
/// <reference types="angular-mocks" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { ITimeoutService, IScope, IAttributes, IController, ITranscludeFunction } from "angular";
export declare class PreventEventIf extends DirectiveBase {
    private timeout;
    restrict: string;
    scope: {
        preventEventIf: string;
        preventEvent: string;
    };
    constructor(timeout: ITimeoutService);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(timeout: ITimeoutService): PreventEventIf;
}
