"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var directive_1 = require("../decorators/directive");
var angular_service_1 = require("../services/angular.service");
var base_directive_1 = require("./base.directive");
var PreventEventIf = /** @class */ (function (_super) {
    __extends(PreventEventIf, _super);
    function PreventEventIf(timeout) {
        var _this = _super.call(this) || this;
        _this.timeout = timeout;
        _this.restrict = "A";
        _this.scope = {
            preventEventIf: "&",
            preventEvent: "@"
        };
        return _this;
    }
    PreventEventIf_1 = PreventEventIf;
    PreventEventIf.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on(scope["preventEvent"], function (e) {
            if (scope["preventEventIf"]()) {
                event.preventDefault();
                e.stopPropagation();
            }
        });
    };
    PreventEventIf.factory = function (timeout) {
        return new PreventEventIf_1(timeout);
    };
    PreventEventIf = PreventEventIf_1 = __decorate([
        directive_1.Directive({
            name: "preventEventIf",
            factory: PreventEventIf_1.factory,
            dependencies: [angular_service_1.AngularServices.timeout]
        })
    ], PreventEventIf);
    return PreventEventIf;
    var PreventEventIf_1;
}(base_directive_1.DirectiveBase));
exports.PreventEventIf = PreventEventIf;
