/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, ITranscludeFunction, IController } from "angular";
import { Transition } from "@uirouter/angularjs";
export declare class ScrollToTop extends DirectiveBase {
    private transitions;
    restrict: string;
    constructor(transitions: Transition);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(transitions: Transition): ScrollToTop;
}
export interface IScrollToTopParameters {
    onStateChange: boolean;
    onClick: boolean;
}
