"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var directive_1 = require("../decorators/directive");
var angular_service_1 = require("../services/angular.service");
var base_directive_1 = require("./base.directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var ScrollToTop = /** @class */ (function (_super) {
    __extends(ScrollToTop, _super);
    function ScrollToTop(transitions) {
        var _this = _super.call(this) || this;
        _this.transitions = transitions;
        _this.restrict = "A";
        return _this;
    }
    ScrollToTop_1 = ScrollToTop;
    ScrollToTop.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var _this = this;
        var options = {};
        this.tryGetBoolean(options, instanceAttributes, "onStateChange");
        this.tryGetBoolean(options, instanceAttributes, "onClick");
        scope.$watch(function () { return instanceAttributes["onStateChange"]; }, function (newValue) {
            if (newValue === "true") {
                if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(instanceElement[0]["stateChangeEvent"])) {
                    instanceElement[0]["stateChangeEvent"] = _this.transitions.onSuccess({}, function () {
                        $("body").scrollTop(0);
                    });
                }
            }
            else {
                if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(instanceElement[0]["stateChangeEvent"])) {
                    instanceElement[0]["stateChangeEvent"]();
                    instanceElement[0]["stateChangeEvent"] = null;
                }
            }
        });
        if (options.onClick) {
            instanceElement.on("click", function () {
                $("body").scrollTop(0);
            });
        }
    };
    ScrollToTop.factory = function (transitions) {
        return new ScrollToTop_1(transitions);
    };
    ScrollToTop = ScrollToTop_1 = __decorate([
        directive_1.Directive({
            name: "scrollToTop",
            factory: ScrollToTop_1.factory,
            dependencies: [angular_service_1.AngularServices.transitions]
        })
    ], ScrollToTop);
    return ScrollToTop;
    var ScrollToTop_1;
}(base_directive_1.DirectiveBase));
exports.ScrollToTop = ScrollToTop;
