"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var filter_1 = require("../decorators/filter");
var framework_filter_1 = require("./framework.filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var TrimFilter = /** @class */ (function () {
    function TrimFilter() {
    }
    TrimFilter_1 = TrimFilter;
    TrimFilter.trim = function (value, maxChars) {
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(value))
            return null;
        if (value.length < maxChars)
            return value;
        return value.substr(0, maxChars) + "...";
    };
    TrimFilter.factory = function () {
        return TrimFilter_1.trim;
    };
    TrimFilter = TrimFilter_1 = __decorate([
        filter_1.Filter({
            name: framework_filter_1.FrameworkFilters.trim,
            factory: TrimFilter_1.factory
        })
    ], TrimFilter);
    return TrimFilter;
    var TrimFilter_1;
}());
exports.TrimFilter = TrimFilter;
