"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var filter_1 = require("../decorators/filter");
var framework_filter_1 = require("./framework.filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var UppercaseFilter = /** @class */ (function () {
    function UppercaseFilter() {
    }
    UppercaseFilter_1 = UppercaseFilter;
    UppercaseFilter.factory = function () {
        return function (value) { return paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) ? null : value.toUpperCase(); };
    };
    UppercaseFilter = UppercaseFilter_1 = __decorate([
        filter_1.Filter({
            name: framework_filter_1.FrameworkFilters.uppercase,
            factory: UppercaseFilter_1.factory
        })
    ], UppercaseFilter);
    return UppercaseFilter;
    var UppercaseFilter_1;
}());
exports.UppercaseFilter = UppercaseFilter;
