/// <reference types="angular" />
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { IHttpInterceptor, IRequestConfig, IHttpPromiseCallbackArg, IPromise, IQService } from "angular";
export declare class InterceptorBase implements IHttpInterceptor {
    request: (config: IRequestConfig) => IRequestConfig;
    response: (response: IHttpPromiseCallbackArg<any>) => IPromise<any>;
    requestError: (rejection: ng.IHttpPromiseCallbackArg<any>) => IPromise<any>;
    responseError: (rejection: ng.IHttpPromiseCallbackArg<any>) => IPromise<any>;
    protected q: IQService;
    constructor(q: IQService);
    onRequest(config: IRequestConfig): IRequestConfig;
    onResponse(response: IHttpPromiseCallbackArg<any>): IPromise<any>;
    onRequestError(rejection: IHttpPromiseCallbackArg<any>): IPromise<any>;
    onResponseError(rejection: IHttpPromiseCallbackArg<any>): IPromise<any>;
}
