import { ServiceBase } from "./base.service";
import { IDateService, DateRangeValue } from "./date.service.interface";
export declare class DateService extends ServiceBase implements IDateService {
    getDate(value: Date | string): Date;
    getDateRangeValue(value: Date | string): DateRangeValue;
    private getMonthDifference(d1, d2);
    static factory(): IDateService;
}
