"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var DateRange;
(function (DateRange) {
    DateRange[DateRange["Unknown"] = 0] = "Unknown";
    DateRange[DateRange["Seconds"] = 1] = "Seconds";
    DateRange[DateRange["Minutes"] = 2] = "Minutes";
    DateRange[DateRange["Hours"] = 3] = "Hours";
    DateRange[DateRange["Days"] = 4] = "Days";
    DateRange[DateRange["Months"] = 5] = "Months";
    DateRange[DateRange["Years"] = 6] = "Years";
})(DateRange = exports.DateRange || (exports.DateRange = {}));
var MonthName;
(function (MonthName) {
    MonthName[MonthName["January"] = 0] = "January";
    MonthName[MonthName["February"] = 1] = "February";
    MonthName[MonthName["March"] = 2] = "March";
    MonthName[MonthName["April"] = 3] = "April";
    MonthName[MonthName["May"] = 4] = "May";
    MonthName[MonthName["June"] = 5] = "June";
    MonthName[MonthName["July"] = 6] = "July";
    MonthName[MonthName["August"] = 7] = "August";
    MonthName[MonthName["September"] = 8] = "September";
    MonthName[MonthName["October"] = 9] = "October";
    MonthName[MonthName["November"] = 10] = "November";
    MonthName[MonthName["December"] = 11] = "December";
})(MonthName = exports.MonthName || (exports.MonthName = {}));
var DayName;
(function (DayName) {
    DayName[DayName["Sunday"] = 0] = "Sunday";
    DayName[DayName["Monday"] = 1] = "Monday";
    DayName[DayName["Tuesday"] = 2] = "Tuesday";
    DayName[DayName["Wednesday"] = 3] = "Wednesday";
    DayName[DayName["Thursday"] = 4] = "Thursday";
    DayName[DayName["Friday"] = 5] = "Friday";
    DayName[DayName["Saturday"] = 6] = "Saturday";
})(DayName = exports.DayName || (exports.DayName = {}));
var DateRangeValue = /** @class */ (function () {
    function DateRangeValue(value, range) {
        this.value = value;
        this.range = range;
    }
    return DateRangeValue;
}());
exports.DateRangeValue = DateRangeValue;
