/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { ILoggingService } from "./logging.service.interface";
export declare abstract class LoggingServiceBase extends ServiceBase implements ILoggingService {
    writeMessage(message: string): void;
    writeWarning(message: string): void;
    writeError(message: string): void;
    protected getString(message: string): string;
}
export declare class DummyLoggingService extends LoggingServiceBase {
    writeError(message: string): void;
    static factory(): ILoggingService;
}
export declare class LoggingService extends LoggingServiceBase {
    writeMessage(message: string): void;
    writeWarning(message: string): void;
    writeError(message: string): void;
    static factory(): ILoggingService;
}
