"use strict";
/*!
 * MiracleDevs.Angular v1.0.0
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/MiracleDevs.Angular/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var MessageBusHandler = /** @class */ (function () {
    function MessageBusHandler(type, handler) {
        this.innerHandler = handler;
        this.innerToken = new RegistrationToken(type);
    }
    Object.defineProperty(MessageBusHandler.prototype, "token", {
        get: function () { return this.innerToken; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MessageBusHandler.prototype, "handler", {
        get: function () { return this.innerHandler; },
        enumerable: true,
        configurable: true
    });
    return MessageBusHandler;
}());
exports.MessageBusHandler = MessageBusHandler;
var RegistrationToken = /** @class */ (function () {
    function RegistrationToken(type) {
        this.innerType = type;
        this.innerGuid = paradigm_ui_web_shared_1.Guid.new();
    }
    Object.defineProperty(RegistrationToken.prototype, "type", {
        get: function () {
            return this.innerType;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RegistrationToken.prototype, "guid", {
        get: function () {
            return this.innerGuid;
        },
        enumerable: true,
        configurable: true
    });
    return RegistrationToken;
}());
exports.RegistrationToken = RegistrationToken;
